Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82185 - poor quality source code
Summary: poor quality source code
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kpppload
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-19 10:09 UTC by d.binderman
Modified: 2007-04-18 16:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-12-18 19:23:25 UTC


Attachments (Terms of Use)

Description d.binderman 2003-01-19 10:09:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.6 [en-gb]C-CCK-MCD NetscapeOnline.co.uk  (Win98; I)

Description of problem:

Hello there,

I just tried to compile package kpppload-1.04-43 from Redhat 8.0

The compiler said

Options.cpp:98: warning: taking address of temporary
Options.cpp:103: warning: taking address of temporary

Here is an untested patch to shut up the compiler

*** ./kpppload/Options.cpp.old	2003-01-12 10:31:09.000000000 +0000
--- ./kpppload/Options.cpp	2003-01-12 10:32:32.000000000 +0000
***************
*** 95,106 ****
  
  QColor Options::getRxColor()
  {
!     return _config->readColorEntry( "rxColor", &QColor( "red" ) );
  }
  
  QColor Options::getTxColor()
  {
!     return _config->readColorEntry( "txColor", &QColor( "darkblue" ) );
  }
  
  void Options::setShowTxRate( bool b )
--- 95,110 ----
  
  QColor Options::getRxColor()
  {
!     QColor tmp( "red");
! 
!     return _config->readColorEntry( "rxColor", & tmp);
  }
  
  QColor Options::getTxColor()
  {
!     QColor tmp( "darkblue" );
! 
!     return _config->readColorEntry( "txColor", & tmp);
  }
  
  void Options::setShowTxRate( bool b )

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. compile the program
2.
3.
    

Additional info

Comment 1 Marcin Garski 2004-12-18 19:23:25 UTC
Thanks for the bug report. Red Hat Linux 8.0 is no longer maintained
by Red Hat. KPPPLoad is no longer included in current releases, either.


Note You need to log in before you can comment on or make changes to this bug.